Name: duckdb
Version: 0.6.1
Release: 1%{?dist}
Summary: An in-process SQL OLAP Database Management System
Group:   Development/Libraries
License: MIT
URL:     https://duckdb.org
Source0: https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: catch-devel
#fastpforlib  
BuildRequires: fmt-devel
#fsst
#hyperloglog
#imdb
BuildRequires:  jemalloc-devel
#libpg_query
BuildRequires:  mbedtls-devel
BuildRequires:  miniz-devel
BuildRequires:  re2-devel
BuildRequires:  sqlite-devel
BuildRequires:	unixODBC-devel
BuildRequires:  utf8proc-devel

%description
DuckDB is a high-performance analytical database system. It is
designed to be fast, reliable and easy to use. DuckDB provides
a rich SQL dialect, with support far beyond basic SQL. DuckDB
supports arbitrary and nested correlated subqueries, window
functions, collations, complex types (arrays, structs), and
more.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version}
#rm -r third_party
#sed -i 's/add_subdirectory(third_party)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/fsst)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/fmt\/include)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/hyperloglog)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/fastpforlib)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/fast_float)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/re2)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/miniz)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/utf8proc\/include)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/miniparquet)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/concurrentqueue)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/pcg)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/tdigest)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/mbedtls\/include)//' CMakeLists.txt
#sed -i 's/include_directories(third_party\/jaro_winkler)//' CMakeLists.txt

%build
%cmake -DBUILD_ARROW_ABI_TEST=OFF \
 -DBUILD_EXCEL_EXTENSION=OFF \
 -DBUILD_FTS_EXTENSION=OFF \
 -DBUILD_HTTPFS_EXTENSION=OFF \
 -DBUILD_ICU_EXTENSION=OFF \
 -DBUILD_INET_EXTENSION=OFF \
 -DBUILD_JEMALLOC_EXTENSION=OFF \
 -DBUILD_JSON_EXTENSION=OFF \
 -DBUILD_MAIN_DUCKDB_LIBRARY=ON \
 -DBUILD_ODBC_DRIVER=ON \
 -DBUILD_PARQUET_EXTENSION=OFF \
 -DBUILD_PYTHON=OFF \
 -DBUILD_RDTSC=OFF \
 -DBUILD_SHELL=ON \
 -DINSTALL_LIB_DIR=%{_libdir} \
 -DINSTALL_BIN_DIR=%{_bindir} \
 -DINSTALL_INCLUDE_DIR=%{_includedir} \
 -DINSTALL_CMAKE_DIR=%{_libdir}/cmake/DuckDB

%cmake_build

%install
%cmake_install

%check
ctest

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/libduckdb.so
%{_libdir}/libduckdb_fastpforlib.a
%{_libdir}/libduckdb_fmt.a
%{_libdir}/libduckdb_fsst.a
%{_libdir}/libduckdb_hyperloglog.a
%{_libdir}/libduckdb_mbedtls.a
%{_libdir}/libduckdb_miniz.a
%{_libdir}/libduckdb_pg_query.a
%{_libdir}/libduckdb_re2.a
%{_libdir}/libduckdb_static.a
%{_libdir}/libduckdb_utf8proc.a

%files devel
%{_includedir}/*.hpp
%{_includedir}/%{name}.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/catalog/*.hpp
%{_includedir}/%{name}/catalog/catalog_entry/*.hpp
%{_includedir}/%{name}/catalog/default/*.hpp
%{_includedir}/%{name}/common/*.hpp
%{_includedir}/%{name}/common/arrow/*.hpp
%{_includedir}/%{name}/common/crypto/*.hpp
%{_includedir}/%{name}/common/enums/*.hpp
%{_includedir}/%{name}/common/operator/*.hpp
%{_includedir}/%{name}/common/row_operations/*.hpp
%{_includedir}/%{name}/common/serializer/*.hpp
%{_includedir}/%{name}/common/sort/*.hpp
%{_includedir}/%{name}/common/types/*.hpp
%{_includedir}/%{name}/common/value_operations/*.hpp
%{_includedir}/%{name}/common/vector_operations/*.hpp
%{_includedir}/%{name}/execution/*.hpp
%{_includedir}/%{name}/execution/index/art/*.hpp
%{_includedir}/%{name}/execution/operator/aggregate/*.hpp
%{_includedir}/%{name}/execution/operator/filter/*.hpp
%{_includedir}/%{name}/execution/operator/helper/*.hpp
%{_includedir}/%{name}/execution/operator/join/*.hpp
%{_includedir}/%{name}/execution/operator/order/*.hpp
%{_includedir}/%{name}/execution/operator/persistent/*.hpp
%{_includedir}/%{name}/execution/operator/projection/*.hpp
%{_includedir}/%{name}/execution/operator/scan/*.hpp
%{_includedir}/%{name}/execution/operator/schema/*.hpp
%{_includedir}/%{name}/execution/operator/set/*.hpp
%{_includedir}/%{name}/function/*.hpp
%{_includedir}/%{name}/function/aggregate/*.hpp
%{_includedir}/%{name}/function/aggregate/algebraic/*.hpp
%{_includedir}/%{name}/function/aggregate/regression/*.hpp
%{_includedir}/%{name}/function/cast/*.hpp
%{_includedir}/%{name}/function/compression/*.hpp
%{_includedir}/%{name}/function/pragma/*.hpp
%{_includedir}/%{name}/function/scalar/*.hpp
%{_includedir}/%{name}/function/table/*.hpp
%{_includedir}/%{name}/main/*.hpp
%{_includedir}/%{name}/main/capi/*.hpp
%{_includedir}/%{name}/main/capi/cast/*.hpp
%{_includedir}/%{name}/main/relation/*.hpp
%{_includedir}/%{name}/optimizer/*.hpp
%{_includedir}/%{name}/optimizer/join_order/*.hpp
%{_includedir}/%{name}/optimizer/matcher/*.hpp
%{_includedir}/%{name}/optimizer/rule/*.hpp
%{_includedir}/%{name}/parallel/*.hpp
%{_includedir}/%{name}/parser/*.hpp
%{_includedir}/%{name}/parser/constraints/*.hpp
%{_includedir}/%{name}/parser/expression/*.hpp
%{_includedir}/%{name}/parser/parsed_data/*.hpp
%{_includedir}/%{name}/parser/query_node/*.hpp
%{_includedir}/%{name}/parser/statement/*.hpp
%{_includedir}/%{name}/parser/tableref/*.hpp
%{_includedir}/%{name}/planner/*.hpp
%{_includedir}/%{name}/planner/constraints/*.hpp
%{_includedir}/%{name}/planner/expression/*.hpp
%{_includedir}/%{name}/planner/expression_binder/*.hpp
%{_includedir}/%{name}/planner/filter/*.hpp
%{_includedir}/%{name}/planner/operator/*.hpp
%{_includedir}/%{name}/planner/parsed_data/*.hpp
%{_includedir}/%{name}/planner/query_node/*.hpp
%{_includedir}/%{name}/planner/subquery/*.hpp
%{_includedir}/%{name}/planner/tableref/*.hpp
%{_includedir}/%{name}/storage/*.hpp
%{_includedir}/%{name}/storage/buffer/*.hpp
%{_includedir}/%{name}/storage/checkpoint/*.hpp
%{_includedir}/%{name}/storage/compression/chimp/*.hpp
%{_includedir}/%{name}/storage/compression/chimp/algorithm/*.hpp
%{_includedir}/%{name}/storage/compression/patas/*.hpp
%{_includedir}/%{name}/storage/compression/patas/algorithm/*.hpp
%{_includedir}/%{name}/storage/segment/*.hpp
%{_includedir}/%{name}/storage/statistics/*.hpp
%{_includedir}/%{name}/storage/table/*.hpp
%{_includedir}/%{name}/transaction/*.hpp
%{_includedir}/%{name}/verification/*.hpp
%{_libdir}/cmake/DuckDB/*.cmake

%changelog
* Sat Dec 24 2022 Benson Muite <benson_muite@emailplus.org> - 0.6.1-1
- Initial packaging
